﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FraCon
{
    public partial class Form1
    {
        private readonly string[] swMaskAndName =
        {
            "0x0040:SW_CUR_DOWN",
            "0x0001:SW_L1",
            "0x0002:SW_L2",
            "0x0004:SW_L3",
            "0x0008:SW_L4",
            "0x0010:SW_L5",
            "0x0100:SW_R1",
            "0x0200:SW_R2",
            "0x0400:SW_R3",
            "0x0800:SW_R4",
            "0x1000:SW_R5",
            "0x0080:SW_CUR_UP",
            "0x2000:SW_ENC",
            "0x8000:SW_MUTE",
        };

        private readonly string[] atdaChLabel =
        {
            "Main In",
            "MainOvt",
            "MainHrmNo.",
            "MainTune",
            "MainDcay",
            "Main HFD",
            "Main DQM",
            "Main DFM",
            "Main PFM",
            "Main PSC",
            "MainMute",
            "Main OD",
            "Sub In",
            "Sub Ovt",
            "Sub HrmNo.",
            "Sub Tune",
            "Sub Dcay",
            "Sub HFD",
            "Sub DQM",
            "Sub DFM",
            "Sub PFM",
            "Sub PSC",
            "Sub Mute",
            "Sub OD",
            "Sub Delay",
            "Sub D.Tap",
            "Xtra In",
            "XtraType",
            "XtraTune",
            "XtraDcay",
            "XtraHold",
            "XtraFltQ",
            "Xtra DQM",
            "Xtra DFM",
            "Xtra PFM",
            "XtraMute",
            "XtraDelay",
            "XtraD.Tap",
            "DryC.EqF",
            "DryC.EqG",
            "DryC.EqQ",
            "DryE.EqF",
            "DryE.EqG",
            "DryE.EqQ",
            "CentrLPF",
            "Edge HPF",
            "Mute Sens",
            "Mute Mask",
            "Mute Dcay",
            "Bend Curve",
            "Mix Main Pan",
            "Mix Sub  Pan",
            "Mix Xtra Pan",
            "Mix DryC Pan",
            "Mix DryE Pan",
            "Mix Main Lev",
            "Mix Sub  Lev",
            "Mix Xtra Lev",
            "Mix DryC Lev",
            "Mix DryE Lev",
            "Mix Main Snd",
            "Mix Sub  Snd",
            "Mix Xtra Snd",
            "Mix DryC Snd",
            "Mix DryE Snd",
            "MixMasterLev",
            "MixMasterBal",
        };

        private readonly string[] strevChLabel =
        {
            "Time",
            "Pre Delay",
            "ER Dens",
            "Rev Dens",
            "HF Damp",
            "Pan Spread",
            "ER Level",
            "Rev Level",
            "Wet Level",
            "Dry Level",
            "PressMode",
            "PressSens",
            "PressAtck",
            "PressRele",
            "Reverb Sw",
        };

        private readonly string[] stdelayChLabel =
        {
            "Type",
            "Time L",
            "Time R",
            "Feedback",
            "HF Damp",
            "Pan Spread",
            "Wet Level",
            "Dry Level",
            "Mod Rate",
            "Mod Depth",
            "Mod Phase",
            "PressMode",
            "PressSens",
            "PressAtck",
            "PressRele",
            "Delay Sw",
        };

        private readonly string[] stchousChLabel =
        {
            "Type",
            "Mod Rate",
            "Mod Depth",
            "Mod Phase",
            "Wet HPF",
            "Wet LPF",
            "Wet Level",
            "Dry Level",
            "Chorus Sw",
        };

        private readonly string[] stflangerChLabel =
        {
            "  RATE",
            " DEPTH",
            "MANUAL",
            "  RESO",
            "   XFB",
            "MOD PH",
            "PressMode",
            "PressSens",
            "PressAtck",
            "PressRele",
            "Flnager Sw",
        };

        private readonly string[] stphaserChLabel =
        {
            "  RATE",
            " DEPTH",
            "MANUAL",
            "  RESO",
            "   XFB",
            "MOD_PH",
            " STAGE",
            "PressMode",
            "PressSens",
            "PressAtck",
            "PressRele",
            "Phaser Sw",
        };

        private readonly string[] stwahChLabel =
        {
            "Type",
            "Manual Freq",
            "Freq Min",
            "Freq Max",
            "Filter Q",
            "PressSw",
            "PressSens",
            "PressAtck",
            "PressRele",
            "Wah Sw",
        };

        private readonly string[] chSwTxt =
        {
            "OFF",
            "ON"
        };

        private readonly string[] chPanTxt =
        {
            "L63",	// [0]
	        "L63",	// [1]
	        "L62",	// [2]
	        "L61",	// [3]
	        "L60",	// [4]
	        "L59",	// [5]
	        "L58",	// [6]
	        "L57",	// [7]
	        "L56",	// [8]
	        "L55",	// [9]
	        "L54",	// [10]
	        "L53",	// [11]
	        "L52",	// [12]
	        "L51",	// [13]
	        "L50",	// [14]
	        "L49",	// [15]
	        "L48",	// [16]
	        "L47",	// [17]
	        "L46",	// [18]
	        "L45",	// [19]
	        "L44",	// [20]
	        "L43",	// [21]
	        "L42",	// [22]
	        "L41",	// [23]
	        "L40",	// [24]
	        "L39",	// [25]
	        "L38",	// [26]
	        "L37",	// [27]
	        "L36",	// [28]
	        "L35",	// [29]
	        "L34",	// [30]
	        "L33",	// [31]
	        "L32",	// [32]
	        "L31",	// [33]
	        "L30",	// [34]
	        "L29",	// [35]
	        "L28",	// [36]
	        "L27",	// [37]
	        "L26",	// [38]
	        "L25",	// [39]
	        "L24",	// [40]
	        "L23",	// [41]
	        "L22",	// [42]
	        "L21",	// [43]
	        "L20",	// [44]
	        "L19",	// [45]
	        "L18",	// [46]
	        "L17",	// [47]
	        "L16",	// [48]
	        "L15",	// [49]
	        "L14",	// [50]
	        "L13",	// [51]
	        "L12",	// [52]
	        "L11",	// [53]
	        "L10",	// [54]
	        "L09",	// [55]
	        "L08",	// [56]
	        "L07",	// [57]
	        "L06",	// [58]
	        "L05",	// [59]
	        "L04",	// [60]
	        "L03",	// [61]
	        "L02",	// [62]
	        "L01",	// [63]
	        "C00",	// [64]
	        "R01",	// [65]
	        "R02",	// [66]
	        "R03",	// [67]
	        "R04",	// [68]
	        "R05",	// [69]
	        "R06",	// [70]
	        "R07",	// [71]
	        "R08",	// [72]
	        "R09",	// [73]
	        "R10",	// [74]
	        "R11",	// [75]
	        "R12",	// [76]
	        "R13",	// [77]
	        "R14",	// [78]
	        "R15",	// [79]
	        "R16",	// [80]
	        "R17",	// [81]
	        "R18",	// [82]
	        "R19",	// [83]
	        "R20",	// [84]
	        "R21",	// [85]
	        "R22",	// [86]
	        "R23",	// [87]
	        "R24",	// [88]
	        "R25",	// [89]
	        "R26",	// [90]
	        "R27",	// [91]
	        "R28",	// [92]
	        "R29",	// [93]
	        "R30",	// [94]
	        "R31",	// [95]
	        "R32",	// [96]
	        "R33",	// [97]
	        "R34",	// [98]
	        "R35",	// [99]
	        "R36",	// [100]
	        "R37",	// [101]
	        "R38",	// [102]
	        "R39",	// [103]
	        "R40",	// [104]
	        "R41",	// [105]
	        "R42",	// [106]
	        "R43",	// [107]
	        "R44",	// [108]
	        "R45",	// [109]
	        "R46",	// [110]
	        "R47",	// [111]
	        "R48",	// [112]
	        "R49",	// [113]
	        "R50",	// [114]
	        "R51",	// [115]
	        "R52",	// [116]
	        "R53",	// [117]
	        "R54",	// [118]
	        "R55",	// [119]
	        "R56",	// [120]
	        "R57",	// [121]
	        "R58",	// [122]
	        "R59",	// [123]
	        "R60",	// [124]
	        "R61",	// [125]
	        "R62",	// [126]
	        "R63"	// [127]
        };

        private readonly string[] chBalCETxt =
        {
            "C100/E0",	// [0]
	        "C99/E01",	// [1]
	        "C98/E02",	// [2]
	        "C97/E03",	// [3]
	        "C96/E04",	// [4]
	        "C95/E05",	// [5]
	        "C94/E06",	// [6]
	        "C93/E07",	// [7]
	        "C92/E08",	// [8]
	        "C91/E09",	// [9]
	        "C90/E10",	// [10]
	        "C89/E11",	// [11]
	        "C88/E12",	// [12]
	        "C87/E13",	// [13]
	        "C86/E14",	// [14]
	        "C85/E15",	// [15]
	        "C84/E16",	// [16]
	        "C83/E17",	// [17]
	        "C82/E18",	// [18]
	        "C81/E19",	// [19]
	        "C80/E20",	// [20]
	        "C79/E21",	// [21]
	        "C78/E22",	// [22]
	        "C77/E23",	// [23]
	        "C76/E24",	// [24]
	        "C75/E25",	// [25]
	        "C74/E26",	// [26]
	        "C73/E27",	// [27]
	        "C72/E28",	// [28]
	        "C71/E29",	// [29]
	        "C70/E30",	// [30]
	        "C69/E31",	// [31]
	        "C68/E32",	// [32]
	        "C67/E33",	// [33]
	        "C66/E34",	// [34]
	        "C65/E35",	// [35]
	        "C64/E36",	// [36]
	        "C63/E37",	// [37]
	        "C62/E38",	// [38]
	        "C61/E39",	// [39]
	        "C60/E40",	// [40]
	        "C59/E41",	// [41]
	        "C58/E42",	// [42]
	        "C57/E43",	// [43]
	        "C56/E44",	// [44]
	        "C55/E45",	// [45]
	        "C54/E46",	// [46]
	        "C53/E47",	// [47]
	        "C52/E48",	// [48]
	        "C51/E49",	// [49]
	        "C50/E50",	// [50]
	        "C49/E51",	// [51]
	        "C48/E52",	// [52]
	        "C47/E53",	// [53]
	        "C46/E54",	// [54]
	        "C45/E55",	// [55]
	        "C44/E56",	// [56]
	        "C43/E57",	// [57]
	        "C42/E58",	// [58]
	        "C41/E59",	// [59]
	        "C40/E60",	// [60]
	        "C39/E61",	// [61]
	        "C38/E62",	// [62]
	        "C37/E63",	// [63]
	        "C36/E64",	// [64]
	        "C35/E65",	// [65]
	        "C34/E66",	// [66]
	        "C33/E67",	// [67]
	        "C32/E68",	// [68]
	        "C31/E69",	// [69]
	        "C30/E70",	// [70]
	        "C29/E71",	// [71]
	        "C28/E72",	// [72]
	        "C27/E73",	// [73]
	        "C26/E74",	// [74]
	        "C25/E75",	// [75]
	        "C24/E76",	// [76]
	        "C23/E77",	// [77]
	        "C22/E78",	// [78]
	        "C21/E79",	// [79]
	        "C20/E80",	// [80]
	        "C19/E81",	// [81]
	        "C18/E82",	// [82]
	        "C17/E83",	// [83]
	        "C16/E84",	// [84]
	        "C15/E85",	// [85]
	        "C14/E86",	// [86]
	        "C13/E87",	// [87]
	        "C12/E88",	// [88]
	        "C11/E89",	// [89]
	        "C10/E90",	// [90]
	        "C09/E91",	// [91]
	        "C08/E92",	// [92]
	        "C07/E93",	// [93]
	        "C06/E94",	// [94]
	        "C05/E95",	// [95]
	        "C04/E96",	// [96]
	        "C03/E97",	// [97]
	        "C02/E98",	// [98]
	        "C01/E99",	// [99]
	        "C0/E100",	// [100]
        };

        private readonly string[] chDspAlgoIDtxt =
        {
            "DSP_ALGO_INST",			// 0
	        "DSP_ALGO_STREV",			// 1
	        "DSP_ALGO_STDELAY",			// 2
	        "DSP_ALGO_STCHO",			// 3
	        "DSP_ALGO_STFLG",			// 4
	        "DSP_ALGO_STPHS",			// 5
	        "DSP_ALGO_STWAH",			// 6
        };

        private readonly string[] chHrmTypeTxt =
        {
            "Natural ",		// HRM_TYPE_INT_NUM
	        "Odd No. ",		// HRM_TYPE_ODD_NUM
	        "PrimeNo.",		// HRM_TYPE_PRIME_NUM
	        "BesselM0",		// HRM_TYPE_BESSEL_M0
	        "BesselM1",		// HRM_TYPE_BESSEL_M1
	        "BesselM2",		// HRM_TYPE_BESSEL_M2
	        "BesselM3",		// HRM_TYPE_BESSEL_M3
	        "BesselM4",		// HRM_TYPE_BESSEL_M4
	        "BesselM5",		// HRM_TYPE_BESSEL_M5
	        "BesselM6",		// HRM_TYPE_BESSEL_M6
	        "BesselM7",		// HRM_TYPE_BESSEL_M7
	        "Membran ",		// HRM_TYPE_MEMBRANE
	        "MembrnH1",		// HRM_TYPE_MEMBRANE_H1
	        "MembrnH2",		// HRM_TYPE_MEMBRANE_H2
	        "MembrnH3",		// HRM_TYPE_MEMBRANE_H3
	        "MembrnH4",		// HRM_TYPE_MEMBRANE_H4
	        "Taiko   ",		// HRM_TYPE_JAPAN_DRUM
	        "KettleD ",		// HRM_TYPE_TYMPANI
	        "BassDrm ",		// HRM_TYPE_BASS_DRUM
	        "Tom     ",		// HRM_TYPE_TOMTOM
	        "T.Head  ",		// HRM_TYPE_SD_TOP
	        "B.Head  ",		// HRM_TYPE_SD_BOTTOM
	        "T+B Head",		// HRM_TYPE_SD_TOP_BOTTOM
	        "FryPan  ",		// HRM_TYPE_DARBUKA
	        "Cymbal  ",		// HRM_TYPE_CYMBAL
	        "VibeLow ",		// HRM_TYPE_VIBE_LO
	        "VibeMid ",		// HRM_TYPE_VIBE_MI
	        "VibeHigh",		// HRM_TYPE_VIBE_HI
	        "Glocken ",		// HRM_TYPE_GLOCKENSPIEL
	        "Marimba ",		// HRM_TYPE_MARIMBA
	        "Organ   ",		// HRM_TYPE_ORGAN
        };

        private readonly string[] chExtrTypeTxt =
        {
            "WhiteNz",		// EXTR_TYPE_WHITE_NOISE
	        "LPF Nz ",		// EXTR_TYPE_LPF_NOISE
	        "HPF Nz ",		// EXTR_TYPE_HPF_NOISE
	        "BPF Nz ",		// EXTR_TYPE_BPF_NOISE
	        "Jingle1",		// EXTR_TYPE_JINGLE1
	        "Jingle2",		// EXTR_TYPE_JINGLE2
	        "Jingle3",		// EXTR_TYPE_JINGLE3
	        "Click1 ",		// EXTR_TYPE_CLICK1
	        "Click2 ",		// EXTR_TYPE_CLICK2
        };

        private readonly string[] chScaleTxt =
        {
            "OFF   ",		// 0 SCALE_OFF
	        "MTriad",		// 1 SCALE_MTriad
	        "mTriad",		// 2 SCALE_mTriad
	        "MPenta",		// 3 SCALE_MPenta
	        "mPenta",		// 4 SCALE_mPenta
	        "MScale",		// 5 SCALE_MScale
	        "mScale",		// 6 SCALE_mScale
	        "Sus   ",		// 7 SCALE_Sus
        };

        private readonly string[] chRevPModeTxt =
        {
            "OFF",
            "MUTE",
            "LEVEL",
            "SEND",
            "SPREAD",
        };

        private readonly string[] chDlyPModeTxt =
        {
            "OFF",
            "MUTE",
            "LEVEL",
            "SEND",
            "SPREAD",
            "TIME++",
            "TIME--",
        };

        private readonly string[] chDlyTypeTxt =
        {
            "Stereo In",
            "Mono In",
            "Panning LR",
            "Panning RL",
        };

        private readonly string[] chChoTypeTxt =
        {
            "2PHASE NORM",
            "2PHASE XMIX",
            "3PHASE NORM",
            "3PHASE XMIX",
            "6PHASE NORM",
            "6PHASE XMIX",
        };

        private readonly string[] chFlgPModeTxt =
        {
            "OFF",
            "DEPTH",
            "MANU++",
            "MANU--",
            "RATE++",
            "RATE--",
        };

        private readonly string[] chPhsPModeTxt =
        {
            "OFF",
            "DEPTH",
            "MANU++",
            "MANU--",
            "RATE++",
            "RATE--",
        };

        private readonly string[] chWahTypeTxt =
        {
            "CRYBABY",
            "BPF",
            "LPF",
            "HPF",
            "PEAKING",
        };
    }
}
